@import url('https://fonts.googleapis.com/css2?family=Cal+Sans&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
/* CONFIGURAÇÕES GERAIS */

/* Rolagem de tela suave ao clicar em um link interno (própria página) */
html {
    scroll-behavior: smooth;
}

/*Fonte padrão para texto da página*/
p, body, div{
    font-family: "Poppins", sans-serif;
}
/*Fonte padrão para texto em negrito da página*/
portal b{
	font-family: "Poppins", sans-serif;
}

/*Mensagem de bem-vindo*/
.Header__welcomeTitle{
  font-weight: 500;
  letter-spacing: 1px;
}



/* CABEÇALHO */
/* Tirar botão de Entrar*/
#logoutDetails{
  display: none; 
}

/* Tirar botão de Novo Ticket */
#new_ticket_btn{
  display: none;
}


/* MENU PRINCIPAL*/
/*Diminuir tamanho altura do espaço das categorias*/

.Layout__oneColumn{
    min-height:auto !important;
}

/* Não mostrar botão "Base de Conhecimento" e opções visualização do menu principal */
.ModuleCategoryContainer__hometabs{
  display: none;
}

/* Tirar margem lateral direita da imagem */
.TitleContainer__headerIcon {
    margin-right: 0;
}

/* Mostrar ícone e texto em linhas separadas */
.commonStyle__flexAcenter{
	display: block;
}

/* Tirar margem abaixo */
.TitleContainer__header{
	border-bottom: 0px solid transparent;	
}

/* Não mostrar descrição da categoria no Grid */
.TitleContainer__description{
	display: none;
}
/* Não mostrar descrição na listagem */
.TitleContainer__list_description{
  display: none;
}

/* Diminuir tamanho altura opções menu */
.TitleContainer__container{
  min-height: 2rem;
}

/* Não mostrar quantidade de artigos e seções */
.TitleContainer__content{
	display: none;
}

/* Tirar borda abaixo */
.TitleContainer__header{
	border-bottom: 0px solid transparent;
}
/* Centralizar imagem menu principal */
.Avatar__large {
  width: 100%;
}
/* Centralizar título menu principal */
.TitleContainer__title {
  width: 100%;
  text-align: center;
}




/* LISTAGEM DAS CATEGORIAS*/
/* Não mostrar a descrição */
.ModuleItem__moduleDescription{
	display: none;
}

/* Não mostrar contagem dos artigos */
.ModuleItem__moduleCount{
	display: none;
}

/* Tirar espaço inferior do primeiro item da listagem de categorias */
.List__postdet {
	display: none;
}

/* Tirar a margem inferior */
.ModuleItem__moduleTitle{
	margin-bottom: 0;
}


/* MENU LATERAL DIREITO LISTAGEM DE CATEGORIAS */
/* Tirar descrição da categoria */
#categoryDescription{
	display: none;
}
/* Tirar botão de Seguir temas */
.SubscribeDepart__subs{
	display: none;
}


/* MENU LATERAL ARTIGO */
/* Tirar botão de Seguir artigo */
.ArticleDetailRightContainer__followContentLow{
	display: none;
}

/* ARTIGO */
/*Título Geral Artigo*/
.ArticleDetailLeftContainer__kbTitle{
  font-weight: 600;
  letter-spacing: 1px;
}

/* Títulos do conteúdo */
h1, h2, h3, h4, h5, h6 {
  scroll-margin-top: 100px;
  font-family: "Cal Sans", sans-serif;
  font-style: normal;
  font-weight: 500;
  letter-spacing: 1px;
}

/* Aumentar margem superior e inferior maior nas linhas hr*/
hr{
	margin-block-start: 1em;
	margin-block-end: 1em;
}

/* Tabelas*/
table{
    border-spacing: 0px;
	border: 1px solid lightgray;
}
td, th {
	border: 1px solid lightgray;
    padding: 4px;
    font-size: 12px;
}

/*Observações*/
pre{
    border-left: 6px solid #475867;
	margin: 0;
    padding: 12px 16px;
    background-color: #fff;
    border: 1px solid #ebedf0;
    border-left: 6px solid;
    border-radius: 4px;
    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;
	white-space: pre-wrap; /* Quebra as linhas longas preservando os espaços */
	word-wrap: break-word; /* Quebra palavras muito longas */
	overflow-x: auto;      /* Adiciona barra de rolagem horizontal se precisar */
    max-width: 100%;
}

/*Deixar TAGs invisíveis no texto*/
.tags{
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}
  

  
/* BARRA DE PROGRESSO (ao scrollar artigo) */
  .Readingprogress__progressBar {
    background: linear-gradient(90deg, #7F7BF7 16%, #4f4590 75.89%, #8CF871 99.8%);
  }

/*Rodapé*/
.Footer__footer {
  border-top: 0 solid transparent;
  padding: 0px;
}
